Subject: Re: linux-next: build failure after merge of the fbdev tree

From: Hans de Goede <[email-masked]>
Date: Fri, 29 Jun 2018 11:32:08 +0200

Hi,

On 29-06-18 03:07, Stephen Rothwell wrote:
> Hi Bartlomiej,
> 
> After merging the fbdev tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "dummycon_unregister_output_notifier" [drivers/video/fbdev/core/fb.ko] undefined!
> ERROR: "dummycon_register_output_notifier" [drivers/video/fbdev/core/fb.ko] undefined!
> 
> Caused by commit
> 
>    83d83bebf401 ("console/fbcon: Add support for deferred console takeover")
> 
> I have reverted that commit for today.
> 
> I note that this commit is in the drm-misc tree as well.

Ugh, my bad. I did not take the fb code being modular into account
here. I will submit a follow up patch fixing this today.

Regards,

Hans
_______________________________________________
dri-devel mailing list
[email-masked]
https://lists.freedesktop.org/mailman/listinfo/dri-devel